#
# spec file for package hawk-apiserver
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hawk-apiserver
Version:        0.0.4+git.1604696958.cd5cdf1
Release:        1.5
Summary:        Web server and API provider for Hawk
License:        GPL-3.0-or-later
Group:          Productivity/Clustering/HA
URL:            https://github.com/ClusterLabs/hawk-apiserver
Source:         %{name}-%{version}.tar.gz
Source2:        %{name}-rpmlintrc
Source3:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  libpacemaker-devel >= 1.1.16
BuildRequires:  libqb-devel
BuildRequires:  libxml2-devel
BuildRequires:  golang(API) = 1.13
Requires:       pacemaker >= 1.1.16
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390

%{go_nostrip}

%description
This package contains the Hawk API server

%prep
%setup -q
%setup -q -T -D -a 3 # unpack go dependencies in vendor.tar.gz, which was prepared by the source services

%build
go build -mod=vendor \
         -buildmode=pie \
         -ldflags="-s -w -X main.version=%{version}" \
         -o hawk-apiserver

%install
install -D -m 0755 %{name} "%{buildroot}%{_sbindir}/%{name}"

%files
%defattr(-,root,root)
%doc README.md
%license LICENSE
%{_sbindir}/%{name}

%changelog
* Fri Nov  6 2020 Dario Maiocchi <dmaiocchi@suse.com>
-  Version 0.0.4:
  * various enhancement security https related (fix bsc#1178228)
  * update to go modules
  * add -version flag to show build version
* Fri Mar  9 2018 kgronlund@suse.com
- Update to version 0.0.2+git8.af5b3f9 (bsc#1080006):
  * Move to go 1.9.
  * bump vendor/golang.org/x/sys
  * bump vendor/golang.org/x/net
* Thu Mar  8 2018 kgronlund@suse.com
- Update to version 0.0.2+git5.9164c0d (bsc#1080006):
  * bump vendor/golang.org/x/crypto
  * bump github.com/krig/go-pacemaker
* Tue Mar  6 2018 kgronlund@suse.com
- Update to version 0.0.2+git3.7b57e31:
  * Add manpage to repository
- Remove hawk-apiserver.8.gz
* Thu Feb  1 2018 ro@suse.de
- do not build on s390, only on s390x (no go on s390)
* Tue Nov 21 2017 kgronlund@suse.com
- Update to version 0.0.2+git2.9d745dc:
  * Log with configurable log levels (bsc#1067408)
* Fri Nov 17 2017 kgronlund@suse.com
- Update to version 0.0.1+git1510917627.a05c8b6:
  * Avoid error on short reads (bsc#1068675)
* Sun Sep 10 2017 kgronlund@suse.com
- Update to version 0.0.1+git1505046827.f7eadc5:
  * Use configured port/cert correctly
  * Protect proxy map with Mutex
* Fri Sep  1 2017 kgronlund@suse.com
- Remove txt2man dependency.
* Fri Sep  1 2017 kgronlund@suse.com
- Update to version 0.0.1+git1504254570.54f3c7e:
  * Initial package.
